Update participant by v key and value
PATCH
/workspaces/{workspaceId}/conversations/{conversationId}/participants/{identifierKey}/{identifierValue}
Update a participant's status in the conversation by specifying their identifier key and value. For more information on identifier keys and values, please refer to the "Conversation Participants" page.
Cuerpo de la solicitud
status
string
Participant status in the conversation.
Possible values: pending, invited, active
Cuerpo de la respuesta
avatarUrl
string
contact
object
Mostrar atributos secundarios
contact.identifierKey
string
obligatorio
contact.identifierValue
string
obligatorio
contact.platformAddress
string
contact.platformAddressSelector
string
conversationId
string
createdAt
string
displayName
string
id
string
obligatorio
resourceUri
string
status
string
Possible values: invited, pending, active, inactive
type
string
obligatorio
Possible values: user, contact, agent, flow, bot, accessKey, channel, connector, collaborationAutomation
updatedAt
string
Ejemplo de código
curl -X PATCH 'https://api.bird.com/workspaces/{workspaceId}/conversations/{conversationId}/participants/{identifierKey}/{identifierValue}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'Examples
Ejemplo de código
curl -X PATCH "https://api.bird.com/workspaces/a1405560-c8d3-4b1a-877d-3f449ad95352/conversations/c9c60caa-eaf5-4628-9687-91de4d452bfa/participants/emailaddress/john.doe@bird.com" \
-H "Content-Type: application/json" \
-H "Authorization: AccessKey abcd" \
-d '{
"status": "active"
}'Ejemplo de código
{
"id": "3954d22c-96f7-4bc3-817b-67b4d903ed90",
"type": "contact",
"status": "active",
"displayName": "",
"avatarUrl": "",
"contact": {
"identifierKey": "emailaddress",
"identifierValue": "john.doe@bird.com",
"platformAddress": "john.doe@bird.com"
}
}